import { IApiResponse, IQuote } from '..';
export interface IInsuranceService {
    fetchQuote(authToken: string, payload: any): Promise<IApiResponse<IQuote>>;
    toggleCoverage(authToken: string, quoteId: string, payload: any): Promise<IApiResponse<IQuote>>;
}
export declare class InsuranceService implements IInsuranceService {
    fetchQuote(authToken: string, payload: any): Promise<IApiResponse<IQuote>>;
    toggleCoverage(authToken: string, quoteId: string, payload: {
        accepted: boolean;
    }): Promise<IApiResponse<IQuote>>;
}
